Skip to main content
 print this page

Lists all the resources that are dependent on dataset

GET 

/datasets/:id/dependentresources

Returns resources that depend on the dataset (views, jobs, ETL, dashboards, etc.), grouped by ResourceType. Caller needs any access on the dataset via role_id. Not paginated — response is the full dependency set (DependentResources may be an empty array). There is no limit, offset, or nextToken.

Request​

Responses​

Full dependency set for the dataset (not paginated). Body is DependentResources; DependentResources may be an empty array.

Response Headers
    Access-Control-Allow-Origin
    Access-Control-Allow-Methods
    Access-Control-Allow-Headers